const express = require("express")
const router = express.Router()
const userController = require("../controller/user.controller")

router.post("/login", userController.login)
router.post("/register", userController.register)
router.post("/changeName", userController.changeName)
router.post("/changePassword", userController.changePassword)
router.post("/changeAddress", userController.changeAddress)
router.post('/users/:id/report', userController.reportUser);
router.get("/id/:param", userController.getUser)



//TODO: get user shopping history


module.exports = router